openssl_pkey_new
openssl_private_encrypt
OpenSSL Functions
PHP Manual

# openssl_private_decrypt

(PHP 4 >= 4.0.6, PHP 5)

openssl_private_decrypt — Decrypts data with private key

### Description

bool openssl_private_decrypt ( string `$data` , string `&$decrypted` , mixed `$key` [, int `$padding` ] )

openssl_private_decrypt() decrypts `data` that was previous encrypted via openssl_public_encrypt() and stores the result into `decrypted` .

You can use this function e.g. to decrypt data which were supposed only to you.

### Parameters

`data`

`decrypted`

`key`

  `key` must be the private key corresponding that was used to encrypt the data.

`padding`

  `padding` defaults to `OPENSSL_PKCS1_PADDING`, but can also be one of `OPENSSL_SSLV23_PADDING`, `OPENSSL_PKCS1_OAEP_PADDING`, `OPENSSL_NO_PADDING`.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- openssl_public_encrypt()
- openssl_public_decrypt()

openssl_pkey_new
openssl_private_encrypt
OpenSSL Functions
PHP Manual